<%- include('head', {title: 'Page d\' accueil' , user, message}); %>


    <h1 class="text-3xl text-center mt-3 font-bold">Cartes Graphiques</h1>

    <h2 class="text-3xl text-center mt-20 font-semibold">Notre sélection</h2>

    <section class="">
        <div class="grid gap-4 grid-cols-4 mt-6">
            <% for (let card of ourSelection) { %>
                <%- include('components/card-box', {card}) %>
                    <% } %>
        </div>
        <a href="/listing"
            class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-10 flex w-fit justify-center mx-auto hover:bg-blue-800">Voir
            plus</a>
    </section>




    <h2 class="text-3xl text-center mt-20 font-semibold">Derniers ajouts</h2>

    <section class="">
        <div class="grid gap-4 grid-cols-4 mt-6">
            <% for (let card of lastAdded) { %>
                <%- include('components/card-box', {card}) %>
                    <% } %>
        </div>
        <a href="#"
            class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-10 flex w-fit justify-center mx-auto hover:bg-blue-800">Voir
            plus</a>
    </section>



    <h2 class="text-3xl text-center mt-20 font-semibold">Derniers commentaires</h2>


    <section>
        <div class="grid gap-4 grid-cols-4 mt-6">
            <% for (let comment of lastComments) { %>
                <div class="flex rounded-xl shadow-md p-4 flex flex-col bg-white">
                    <p><%- comment.content %></p>
                    <span class="text-gray-500 text-sm mt-1"><%- comment.username %> • <%-
                                comment.createdAt.toLocaleDateString() %></span>
                    <a href="#" class="truncate text-gray-600 hover:text-gray-800 font-semibold"><%- comment.brand
                            %></a>
                </div>
                <% } %>
        </div>
        <% if (!lastComments.length) { %>
            <span class="mx-auto italic flex justify-center">Pas encore de commentaire.</span>
            <%} else { %>
                <a href="/comments"
                    class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-10 flex w-fit justify-center mx-auto hover:bg-blue-800">Voir
                    plus</a>
                <% } %>
    </section>

    <button onclick="addCard()"
        class="p-0 w-12 h-12 bg-blue-600 rounded-full hover:bg-blue-800 mouse focus:outline-none fixed bottom-10 right-10 text-white text-3xl align-center flex justify-center pt-1">
        +
    </button>

    <script>
        function addCard() {
            if (!isConnected) return createMessage(needConnectionMsg)
            document.querySelector('#overlay').classList.toggle('hidden')
            document.querySelector('#add-card').classList.toggle('hidden')
        }


        const onFileSelected = (e) => {
            console.log('e', e)
            let image = e.target.files[0];
            let reader = new FileReader();
            reader.readAsDataURL(image);
            reader.onload = (e) => {
                const base64 = e.target.result

                document.querySelector('#card-image').src = base64
                document.querySelector('[name="cardImageInput"]').value = ''
            };
        };


        function setCardWithUrl() {
            console.log('setCardWithUrl()')
            fetch('/api/card/url', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({
                    cardUrl: document.querySelector('#card-url').value,
                })
            })
                .then((response) => response.json())
                .then((data) => {
                    console.log('cards', data)

                    document.querySelector('[name="name"]').value = data.title
                    document.querySelector('#card-image').src = data.image
                    document.querySelector('[name="cardImageInput"]').value = data.image
                })
        }
    </script>


    <div id="overlay"
        class="hidden fixed fixed z-10 inset-0 bg-black bg-opacity-30 h-screen w-full flex justify-center items-start md:items-center pt-10 md:pt-0">

        <div id="add-card" class="hidden rounded-lg fixed m-auto flex flex-col z-20 bg-white p-5 pt-1 w-[400px]">
            <h2 class="text-3xl text-center mt-3 font-bold">Ajouter une carte</h2>
            <form method="POST" action="/api/card/add" enctype="multipart/form-data" class="flex flex-col gap-3 pt-5">
                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Ajouter à partir d'une url</label>
                    <input id="card-url" type="url" onchange="setCardWithUrl()"
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
                </div>


                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Image</label>
                    <img id="card-image" onclick="document.querySelector(`#image-file`).click()" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 
                    focus:border-blue-500 block w-full h-[200px] object-cover cursor-pointer"
                        src="/public/image-placeholder.jpg">

                    <input type="file" id="image-file" name="image" onchange="onFileSelected(event)" accept="image/*"
                        class="hidden" />

                    <input type="hidden" name="cardImageInput">
                </div>

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Nom</label>
                    <input type="text" name="name" required
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
                </div>

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Prix (€)</label>
                    <input type="number" name="price" required
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
                </div>

                <div class="flex flex-col">
                    <label class="font-medium mb-2 text-gray-900 text-sm">Marque</label>
                    <select name="brandId" required
                        onchange="this.value == 'new-brand' ? document.querySelector('#new-brand').classList.remove('hidden') : document.querySelector('#new-brand').classList.add('hidden')"
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
                        <option disabled selected>Sélectionnez une marque</option>
                        <option value="new-brand">Ajouter une marque</option>
                        <% for (let brand of brands) { %>
                            <option value="<%- brand._id %>"><%- brand.name %>
                            </option>
                            <% } %>
                    </select>

                    <div id="new-brand" class="flex flex-col hidden mt-3 hidden">
                        <label class="font-medium mb-2 text-gray-900 text-sm">Nom de la nouvelle marque</label>
                        <input type="text" name="brand"
                            class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
                    </div>
                </div>

                <div class="flex justify-end gap-3">
                    <button type="button" onclick="addCard()"
                        class="rounded-lg px-4 py-2 bg-gray-400 text-white mt-4 flex w-fit justify-center hover:bg-gray-500">Annuler</button>
                    <button type="submit"
                        class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800">Ajouter</button>
                </div>
            </form>
        </div>




        <%- include('footer'); %>